Skip to main content
`Ctrl`+`K`

# PetscVTKIntCast

casts to a `PetscVTKInt` (which may be 32-bits in size), generates an error if the `PetscVTKInt` is not large enough to hold the number.

## Synopsis

    #include "petscsys.h"
    static inline PetscErrorCode PetscVTKIntCast(PetscCount a, PetscVTKInt *b)

Not Collective; No Fortran Support

## Input Parameter

- a - the value to cast

## Output Parameter

- b - the resulting `PetscVTKInt` value

## See Also

`PetscBLASInt`, `PetscMPIInt`, `PetscInt`, `PetscBLASIntCast()`, `PetscIntCast()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/vtk/vtkvimpl.h

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages